## Ms Basic Connect Extensions V2 service

Ms Basic Connect Extensions V2 service — Support for the Ms Basic Connect Extensions V2 service.

## Functions

MbimMessage * | mbim_message_ms_basic_connect_extensions_v2_version_query_new ()
gboolean | mbim_message_ms_basic_connect_extensions_v2_version_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Ms Basic Connect Extensions V2 service.

## Functions

### mbim_message_ms_basic_connect_extensions_v2_version_query_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_v2_version_query_new
                                   (guint16 mbim_version,
                                    guint16 mbim_extended_version,
                                    GError **error);

Create a new request for the 'Version' query command in the 'Ms Basic Connect Extensions V2' service.

#### Parameters

mbim_version | the 'MbimVersion' field, given as a guint16. | [in]
mbim_extended_version | the 'MbimExtendedVersion' field, given as a guint16. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.28

### mbim_message_ms_basic_connect_extensions_v2_version_response_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_v2_version_response_parse
                                   (const MbimMessage *message,
                                    guint16 *out_mbim_version,
                                    guint16 *out_mbim_extended_version,
                                    GError **error);

Parses and returns parameters of the 'Version' response command in the 'Ms Basic Connect Extensions V2' service.

#### Parameters

message | the MbimMessage. |
out_mbim_version | return location for a guint16, or `NULL` if the 'MbimVersion' field is not needed. | [out][optional][transfer none]
out_mbim_extended_version | return location for a guint16, or `NULL` if the 'MbimExtendedVersion' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.28